{% extends 'user.html.twig' %}

{% block title %}Ajouter une Formation{% endblock %}

{% block body %}
<section class="container">
    <div class="row justify-content-md-center p-5">
        <h1>Ajouter une Formation</h1>
        {{form_start(formation_form)}}
            <div class="form-material">
            <div class="row">
                <div class="col">
                    {{form_label(formation_form.libelleFormation,
                        'Libellé de la formation') }}
                    {{form_widget(formation_form.libelleFormation)}}
                </div>
                <div class="col">
                    {{form_label(formation_form.age, 
                        'Age'
                    ) }}
                    {{form_widget(formation_form.age)}}
                </div>
                <div class="col" id="some-custom-id">
                    {{form_label(formation_form.prixFormation, 
                        'Prix de la formation'
                    ) }}
                    {{form_widget(formation_form.prixFormation)}}
                </div>
            </div>
            <div class="row">
                <div class="col">
                    {{form_label(formation_form.nbMinStagiaire,
                        'Nombre de stagiaires minimum'
                    ) }}
                    {{form_widget(formation_form.nbMinStagiaire)}}
                </div>
                <div class="col" id="some-custom-id">
                    {{form_label(formation_form.nbMaxStagiaire,
                        'Nombre de stagiaires maximum'
                    ) }}
                    {{form_widget(formation_form.nbMaxStagiaire)}}
                </div>
                <div class="col">
                    {{form_label(formation_form.nbFormateur, 
                        'Nombre de formateur'
                    ) }}
                    {{form_widget(formation_form.nbFormateur)}}
                </div>
            </div>
            <div class="row">
                <div class="col">
                    {{form_label(formation_form.categorie, 
                        'Catégorie'
                    ) }}
                    {{form_widget(formation_form.categorie)}}
                </div>
                <div class="col">
                    {{form_label(formation_form.prerogatives, 
                        'Prérogative'
                    ) }}
                    {{form_widget(formation_form.prerogatives)}}
                </div>
                <ul class="tags" data-index="{{ formation_form.prerequis|length > 0 ? formation_form.prerequis|last.vars.name + 1 : 0 }}" data-prototype="{{ form_widget(formation_form.prerequis.vars.prototype)|e('html_attr') }}"></ul>
                <button type="button" class="add_item_link" data-collection-holder-class="prerequis">Add a tag</button>
            </div>
            <div class="row">
                <div class="col-12 mt-2">
                    {{form_widget(formation_form._token)}}
                    {{form_widget(formation_form.valider, 
                        {'attr': 
                            {'class': 'btn btn-primary'}
                        }
                    )}}
                </div>
            </div>
                {#{{form_rest(formation_form) }}#}
                

        </div>
    </div>
</section>
{% endblock %}